import request from '@/utils/request'

// 查询记录关于我们信息列表
export function listAboutUsInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询记录关于我们信息详细
export function getAboutUsInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增记录关于我们信息
export function addAboutUsInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'add',
      aboutUsInfo: data
    }
  })
}

// 修改记录关于我们信息
export function updateAboutUsInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'update',
      aboutUsInfo: data
    }
  })
}

// 删除记录关于我们信息
export function delAboutUsInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出记录关于我们信息
export function exportAboutUsInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.aboutUsInfo',
      _mt: 'export',
      ...query
    }
  })
}
